Bug 237341 - net/samba410: add new port
Summary: net/samba410: add new port
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Timur I. Bakeyev
URL: https://wiki.samba.org/index.php/Samb...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-04-17 17:24 UTC by VVD
Modified: 2019-07-12 22:02 UTC (History)
5 users (show)

See Also:


Attachments
[patch] fix ldb15 dep + cleanup old bind refs (1.71 KB, patch)
2019-07-07 01:56 UTC, John Hein
jcfyecrayz: maintainer-approval? (timur)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2019-04-17 17:24:58 UTC
4.10 was released month ago.
Last in ports is 4.8 and it in last stage of support - will be EOL in ~5 months.
Comment 1 Timur I. Bakeyev freebsd_committer 2019-04-17 18:25:29 UTC
(In reply to VVD from comment #0)

Thanks for the reminder. 4.9 is kind of there, got stuck with documenting. As for 4.10... It switched to Python3 as a base and that blows up compatibility with other subports and dual Python support.

For me it seems easier to break 4.x -> 4.10 compatibility and make the port (quite) independent, with self-contained dependencies etc.
Comment 2 VVD 2019-06-18 14:17:46 UTC
Any news?
Comment 3 Timur I. Bakeyev freebsd_committer 2019-06-19 06:13:30 UTC
Soon. First some changes in the infrastructure have to be committed, o separate "old" ports from new one.
Comment 4 VVD 2019-07-01 02:07:59 UTC
There are bind911 and bind914 only - we can remove support of bind912 and bind913.
Comment 5 VVD 2019-07-01 02:39:02 UTC
Mk/Uses/samba.mk and Mk/bsd.default-versions.mk need fixes for 4.10 support.
Comment 6 VVD 2019-07-03 19:13:02 UTC
--- Mk/Uses/samba.mk.orig
+++ Mk/Uses/samba.mk
@@ -23,7 +23,7 @@

 SAMBAPORT=     net/samba${SAMBA_DEFAULT:S/.//}
 SAMBAINCLUDES= ${LOCALBASE}/include/samba4
-.if ${SAMBA_DEFAULT} == 4.6 || ${SAMBA_DEFAULT} == 4.7 || ${SAMBA_DEFAULT} == 4.8
+.if ${SAMBA_DEFAULT} == 4.6 || ${SAMBA_DEFAULT} == 4.7 || ${SAMBA_DEFAULT} == 4.8 || ${SAMBA_DEFAULT} == 4.10
 SAMBALIBS=     ${LOCALBASE}/lib/samba4
 .else
 IGNORE=                Invalid version of samba: ${SAMBA_DEFAULT}

--- Mk/bsd.default-versions.mk.orig
+++ Mk/bsd.default-versions.mk
@@ -95,8 +95,8 @@
 RUBY_DEFAULT?=         2.5
 # Possible values: rust, rust-nightly
 RUST_DEFAULT?=         rust
-# Possible values: 4.6, 4.7, 4.8
-SAMBA_DEFAULT?=                4.8
+# Possible values: 4.6, 4.7, 4.8, 4.10
+SAMBA_DEFAULT?=                4.10
 # Possible values: base, openssl, openssl111, libressl, libressl-devel
 .if !defined(SSL_DEFAULT)
 #      If no preference was set, check for an installed base version
Comment 7 Timur I. Bakeyev freebsd_committer 2019-07-03 19:33:23 UTC
(In reply to VVD from comment #6)

Thanks for the patch, but it's up to portmgr to decide on defaults, I guess.

At least they always did.
Comment 8 VVD 2019-07-03 20:46:23 UTC
(In reply to Timur I. Bakeyev from comment #7)
But what about patch for Mk/Uses/samba.mk?
Without it you can't build for example ffmpeg with SMB support and with samba410.
Comment 9 John Hein 2019-07-07 01:56:53 UTC
Created attachment 205557 [details]
[patch] fix ldb15 dep + cleanup old bind refs

Thanks for the port, Timur.

Here's a couple simple cleanups:

 - fix ldb15 dependency (should be ldb15 instead of ldb14)

 - remove a few references to old bind ports that are now out of the ports tree

These should not require a PORTREVISION bump.

The bind cleanup could also be applied to net/samba48.
Comment 10 Pawel Worach 2019-07-12 22:02:56 UTC
A could more fixes:

- In source3/wscript_build this patch fixes the build with LLD (tested locally). This has
been fixed in LLVM for 9.0.
http://llvm.org/viewvc/llvm-project?view=revision&revision=365760

--- source3/wscript_build.orig  2019-05-07 10:38:21.000000000 +0200
+++ source3/wscript_build       2019-07-02 08:13:19.372613000 +0200
@@ -132,7 +132,6 @@
                      '!get_attr_list']
 private_pdb_match.append('!pdb_nds_*')
 private_pdb_match.append('!pdb_ldapsam_init*')
-private_pdb_match.append('!pdb_*_init')
 private_pdb_match = private_pdb_match + ldapsam_pdb_match

 bld.SAMBA3_LIBRARY('samba-passdb',

. For provision to work in the C locale this commit would have to be pulled in (tested locally):
https://gitlab.com/samba-team/samba/commit/d01c5bc9fbe316d2358ead6382f4e7e3bf5fc000

- Also another typo in the port Makefile:
@@ -299,7 +299,7 @@
 DEVELOPER_VARS_OFF=            GDB_CMD=true
 # XXX: Mostly used in conjuction with the DEVELOPER option, don't enable it
 # if you don't know what you are doing
-NTVS_IMPLIES=                  AD_DC
+NTVFS_IMPLIES=                 AD_DC
 NTVFS_CONFIGURE_WITH=          ntvfs-fileserver
 NTVFS_PLIST_FILES=             ${SAMBA4_MODULEDIR}/service/smb.so \
                                lib/samba4/private/libntvfs-samba4.so